# Class CIM_BIOSInteger
extends CIM_BIOSAttribute

The BIOSInteger object may be used to instantiate and provide detailed information describing BIOS attributeswith integer values.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_BIOSAttribute
|
+--CIM_BIOSInteger

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | The BIOSInteger object may be used to instantiate and provide detailed information describing BIOS attributeswith integer values.
UMLPackagePath | string | CIM::System::BIOS
Version | string | 2.22.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
LowerBound | uint64 |
Description | string | The property defines a lower bound or limit when modifying this attribute.
ModelCorrespondence | string | CIM_BIOSInteger.UpperBound
ProgrammaticUnit | string |
Description | string | Indicates the programmatic unit for the CIM_BIOSAttribute.CurrentValue, CIM_BIOSAttribute.PendingValue, and CIM_BIOSAttribute.DefaultValue Properties when instance of the central class represents an Integer.
ISPUnit | boolean | true
ModelCorrespondence | string | CIM_BIOSAttribute.CurrentValue, CIM_BIOSAttribute.PendingValue, CIM_BIOSAttribute.PendingValue
ScalarIncrement | uint32 | 1
Description | string | Specifies the granularity of a scalar Attribute value. The scalar increment is based on the scalar unit being instrumented and returned as a programmaticUnit. For example, if ProgrammaticUnit= "Percentage" and ScalarIncrement="10" then the scalar value is in increments of 10 percent. It has a default value of 1.
ModelCorrespondence | string | CIM_BIOSInteger.ProgrammaticUnit
UpperBound | uint64 |
Description | string | The property defines an upper bound or limit when modifying this attribute.
ModelCorrespondence | string | CIM_BIOSInteger.LowerBound

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
AttributeName | string | CIM_BIOSAttribute
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_BIOSAttribute
IsOrderedList | boolean | CIM_BIOSAttribute
IsReadOnly | boolean | CIM_BIOSAttribute
CurrentValue | string[] | CIM_BIOSAttribute
DefaultValue | string[] | CIM_BIOSAttribute
PendingValue | string[] | CIM_BIOSAttribute

## Class Methods